메인 콘텐츠로 건너뛰기
POST
/
video
/
complete
/api/v1/video/complete
curl --request POST \
  --url https://api.venice.ai/api/v1/video/complete \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "video-model-123",
  "queue_id": "123e4567-e89b-12d3-a456-426614174000"
}
'
import requests

url = "https://api.venice.ai/api/v1/video/complete"

payload = {
"model": "video-model-123",
"queue_id": "123e4567-e89b-12d3-a456-426614174000"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({model: 'video-model-123', queue_id: '123e4567-e89b-12d3-a456-426614174000'})
};

fetch('https://api.venice.ai/api/v1/video/complete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true
}
{
"error": "<string>",
"details": {
"_errors": [],
"field": {
"_errors": [
"Field is required"
]
}
}
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}

인증

Authorization
string
header
필수

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

본문

application/json
model
string
필수

The ID of the model used for video generation.

예시:

"video-model-123"

queue_id
string
필수

The ID of the video generation request.

예시:

"123e4567-e89b-12d3-a456-426614174000"

응답

Video generation request completed successfully

success
boolean
필수

Indicates whether the video cleanup was successful.

예시:

true